// _GestionCongeHospitaloUniv_Interface.java
// Created on 24 sept. 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.conges.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionCongeHospitaloUniv_Interface extends COFrame {

    /** Creates new form _GestionCongeHospitaloUniv_Interface */
    public _GestionCongeHospitaloUniv_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        vueTexte = new org.cocktail.component.COTextArea();
        cOLabel2 = new org.cocktail.component.COLabel();
        jLabel5 = new javax.swing.JLabel();
        vueArretes = new org.cocktail.component.COView();
        vueArrete = new org.cocktail.component.COView();
        contenuVueArrete = new org.cocktail.component.COView();
        vueArreteAnnulation = new org.cocktail.component.COView();
        cOView3 = new org.cocktail.component.COView();
        contenuVueArreteAnnulation = new org.cocktail.component.COView();
        cOButton2 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        cOView1 = new org.cocktail.component.COView();
        labelDateAvis = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        cOTextField6 = new org.cocktail.component.COTextField();
        cOTextField7 = new org.cocktail.component.COTextField();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOCheckbox2 = new org.cocktail.component.COCheckbox();
        jLabel7 = new javax.swing.JLabel();
        cOCheckbox1 = new org.cocktail.component.COCheckbox();
        cOButton10 = new org.cocktail.component.COButton();
        cOButton9 = new org.cocktail.component.COButton();
        jLabel1 = new javax.swing.JLabel();

        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);
        displayGroup.setKeys(new Object[] {"commentaire","dateComMedFormatee","dateDebutFormatee","dateFinFormatee","estProlonge","estRemisEnCause"});

        setControllerClassName("org.cocktail.mangue.client.conges.GestionCongeHospitaloUniv");
        setSize(new java.awt.Dimension(560, 581));

        vueTexte.setDisplayGroupForValue(displayGroup);
        vueTexte.setFont(new java.awt.Font("Helvetica", 0, 11));
        vueTexte.setShouldRefreshImmediately(true);
        vueTexte.setSupportsBackgroundColor(true);
        vueTexte.setValueName("commentaire");

        cOLabel2.setFont(new java.awt.Font("Helvetica", 0, 11));
        cOLabel2.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel2.setValueName("compteurCommentaire");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("Commentaire");

        vueArrete.setFont(new java.awt.Font("Helvetica", 3, 11));
        vueArrete.setIsBox(true);
        vueArrete.setTitle("Arrêté");

        org.jdesktop.layout.GroupLayout contenuVueArreteLayout = new org.jdesktop.layout.GroupLayout(contenuVueArrete);
        contenuVueArrete.setLayout(contenuVueArreteLayout);
        contenuVueArreteLayout.setHorizontalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 480, Short.MAX_VALUE)
        );
        contenuVueArreteLayout.setVerticalGroup(
            contenuVueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 49, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout vueArreteLayout = new org.jdesktop.layout.GroupLayout(vueArrete);
        vueArrete.setLayout(vueArreteLayout);
        vueArreteLayout.setHorizontalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        vueArreteLayout.setVerticalGroup(
            vueArreteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteLayout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        cOView3.setFont(new java.awt.Font("Helvetica", 3, 11));
        cOView3.setIsBox(true);
        cOView3.setTitle("Arrêté");

        org.jdesktop.layout.GroupLayout contenuVueArreteAnnulationLayout = new org.jdesktop.layout.GroupLayout(contenuVueArreteAnnulation);
        contenuVueArreteAnnulation.setLayout(contenuVueArreteAnnulationLayout);
        contenuVueArreteAnnulationLayout.setHorizontalGroup(
            contenuVueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 480, Short.MAX_VALUE)
        );
        contenuVueArreteAnnulationLayout.setVerticalGroup(
            contenuVueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 49, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout cOView3Layout = new org.jdesktop.layout.GroupLayout(cOView3);
        cOView3.setLayout(cOView3Layout);
        cOView3Layout.setHorizontalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArreteAnnulation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        cOView3Layout.setVerticalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .addContainerGap()
                .add(contenuVueArreteAnnulation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        cOButton2.setActionName("annulerArrete");
        cOButton2.setEnabledMethod("peutAnnulerArrete");
        cOButton2.setText("Annuler cet arrêté");

        cOButton3.setActionName("afficherArreteAnnulation");
        cOButton3.setEnabledMethod("peutAfficherArreteAnnulation");
        cOButton3.setText("Afficher Arrêté de remplacement");

        org.jdesktop.layout.GroupLayout vueArreteAnnulationLayout = new org.jdesktop.layout.GroupLayout(vueArreteAnnulation);
        vueArreteAnnulation.setLayout(vueArreteAnnulationLayout);
        vueArreteAnnulationLayout.setHorizontalGroup(
            vueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArreteAnnulationLayout.createSequentialGroup()
                .add(0, 0, 0)
                .add(vueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, vueArreteAnnulationLayout.createSequentialGroup()
                        .add(vueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(0, 0, 0))
                    .add(cOView3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
        );
        vueArreteAnnulationLayout.setVerticalGroup(
            vueArreteAnnulationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, vueArreteAnnulationLayout.createSequentialGroup()
                .add(0, 0, 0)
                .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2))
        );

        org.jdesktop.layout.GroupLayout vueArretesLayout = new org.jdesktop.layout.GroupLayout(vueArretes);
        vueArretes.setLayout(vueArretesLayout);
        vueArretesLayout.setHorizontalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArretesLayout.createSequentialGroup()
                .addContainerGap()
                .add(vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, vueArreteAnnulation, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, vueArrete, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(14, Short.MAX_VALUE))
        );
        vueArretesLayout.setVerticalGroup(
            vueArretesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueArretesLayout.createSequentialGroup()
                .add(10, 10, 10)
                .add(vueArrete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0)
                .add(vueArreteAnnulation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        cOView1.setIsBox(true);

        labelDateAvis.setFont(new java.awt.Font("Helvetica", 0, 12));
        labelDateAvis.setText("Date d'avis comité médical");

        jLabel8.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel8.setText("FIN");

        cOTextField6.setDisplayGroupForValue(displayGroup);
        cOTextField6.setEnabledMethod("peutModifierDateFin");
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("dateFinFormatee");

        cOTextField7.setDisplayGroupForValue(displayGroup);
        cOTextField7.setEnabledMethod("peutModifierConge");
        cOTextField7.setSupportsBackgroundColor(true);
        cOTextField7.setValueName("dateComMedFormatee");

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("peutModifierConge");
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("dateDebutFormatee");

        cOCheckbox2.setDisplayGroupForValue(displayGroup);
        cOCheckbox2.setEnabledMethod("peutChangerRemiseEnCause");
        cOCheckbox2.setText("Remis en cause par la saisie d'un congé antérieur");
        cOCheckbox2.setValueName("estRemisEnCause");

        jLabel7.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel7.setText("DEBUT");

        cOCheckbox1.setDisplayGroupForValue(displayGroup);
        cOCheckbox1.setEnabledMethod("peutModifierConge");
        cOCheckbox1.setText("Avis de prolongation");
        cOCheckbox1.setValueName("estProlonge");

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .addContainerGap(54, Short.MAX_VALUE)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                        .add(jLabel7)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(128, 128, 128)
                        .add(jLabel8)
                        .add(18, 18, 18)
                        .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(72, 72, 72)
                        .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOView1Layout.createSequentialGroup()
                                .add(labelDateAvis)
                                .add(18, 18, 18)
                                .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 35, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(41, 41, 41))
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .addContainerGap(10, Short.MAX_VALUE)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8)
                    .add(jLabel7)
                    .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(labelDateAvis)
                    .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOCheckbox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOCheckbox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        cOButton10.setActionName("valider");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("peutValider");
        cOButton10.setIconName("valider16.gif");

        cOButton9.setActionName("annuler");
        cOButton9.setBorderPainted(false);
        cOButton9.setIconName("annuler16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(21, 21, 21)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel5)
                    .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 513, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(layout.createSequentialGroup()
                            .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 444, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel5)
                .add(0, 0, 0)
                .add(vueTexte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0)
                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(vueArretes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 246, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(5, 5, 5)))
                .addContainerGap(29, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COCheckbox cOCheckbox1;
    public org.cocktail.component.COCheckbox cOCheckbox2;
    public org.cocktail.component.COLabel cOLabel2;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    public org.cocktail.component.COTextField cOTextField7;
    private org.cocktail.component.COView cOView1;
    public org.cocktail.component.COView cOView3;
    public org.cocktail.component.COView contenuVueArrete;
    public org.cocktail.component.COView contenuVueArreteAnnulation;
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel1;
    public javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    public javax.swing.JLabel labelDateAvis;
    public org.cocktail.component.COView vueArrete;
    public org.cocktail.component.COView vueArreteAnnulation;
    public org.cocktail.component.COView vueArretes;
    public org.cocktail.component.COTextArea vueTexte;
    // End of variables declaration//GEN-END:variables
                  

}
